use std::io;

pub fn read_elves() -> Vec<u32> {
    println!("What's the calorie list?");
    let lines = io::stdin().lines();
    let mut was_empty = false;
    let mut elves = vec![0];
    for line in lines {
        let line_s = line.unwrap();
        if line_s.is_empty() {
            if was_empty {
                break;
            }
            elves.push(0);
            was_empty = true;
            continue;
        } else {
            was_empty = false;
        }

        let calories: u32 = line_s.parse().expect("Wanted a number");
        let prev_calories = elves.pop().unwrap();
        elves.push(prev_calories + calories);
    }

    elves
}
