pub fn max_n<T: Ord + Copy>(slice: &[T], n: usize) -> Result<Vec<T>, ()> {
    if n == 0 || n > slice.len() {
        return Err(());
    }
    let mut max_vals = Vec::new();
    for _ in 0..n {
        max_vals.push(slice[0]);
    }

    for val in slice {
        if val > &max_vals[0] {
            max_vals[2] = max_vals[1];
            max_vals[1] = max_vals[0];
            max_vals[0] = *val;
        } else if val > &max_vals[1] {
            max_vals[2] = max_vals[1];
            max_vals[1] = *val;
        } else if val > &max_vals[2] {
            max_vals[2] = *val;
        }
    }

    Ok(max_vals)
}
